FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 01-30-2012, 04:40 PM
Ralf Mardorf
 
Default Bugreport: nvidia-rt and /lib/modules

Hi

nvidia-rt was updated Thu, 12 Jan 2012 23:29:42 +0000, but there's still
the /lib/modules issue. Also directories for kernels that were removed
by updates, are still present. There's less content in those dirs. So,
nvidia-rt doesn't work.

Regards,
Ralf

PS:
[spinymouse@archlinux #linux-rt]$ ls /lib/modules
3.0-rt 3.1.9-1-ARCH 3.1.9-2-ARCH 3.2.2-1-ARCH extramodules-3.2-ARCH
[spinymouse@archlinux #linux-rt]$ ls /boot
grub initramfs-linux.img
initramfs-linux-rt.img vmlinuz-linux
initramfs-linux-fallback.img initramfs-linux-rt-fallback.img syslinux
vmlinuz-linux-rt

[spinymouse@archlinux nvidia-rt]$ makepkg -s
==> Making package: nvidia-rt 290.10-1 (Sun Jan 29 09:59:47 CET 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Downloading NVIDIA-Linux-x86_64-290.10-no-compat32.run...
[snip]
==> Starting build()...
You must have
Creating directory NVIDIA-Linux-x86_64-290.10-no-compat32
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86_64
290.10...
patching file nv-linux.h
Hunk #1 succeeded at 265 (offset 3 lines).
Hunk #2 succeeded at 852 with fuzz 2 (offset -2 lines).
patch unexpectedly ends in middle of line
NVIDIA: calling KBUILD...
test -e include/generated/autoconf.h -a -e include/config/auto.conf || (

echo;
echo " ERROR: Kernel configuration is invalid.";
echo " include/generated/autoconf.h or include/config/auto.conf
are missing.";
echo " Run 'make oldconfig && make prepare' on kernel src to fix
it.";
echo;
[snip]
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
-> Purging unwanted files...
-> Compressing man and info pages...
-> Stripping unneeded symbols from binaries and libraries...
==> Creating package...
-> Generating .PKGINFO file...
-> Adding install file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: nvidia-rt 290.10-1 (Sun Jan 29 10:01:31 CET 2012)
 
Old 01-30-2012, 04:51 PM
Bartłomiej Piotrowski
 
Default Bugreport: nvidia-rt and /lib/modules

Better post it in the comments section of nvidia-rt in AUR (or link to
your message). We're not providing support for AUR packages.

--
Bartłomiej Piotrowski
Arch Linux Trusted User
http://archlinux.org/
 
Old 01-30-2012, 05:05 PM
Leonid Isaev
 
Default Bugreport: nvidia-rt and /lib/modules

On Mon, 30 Jan 2012 18:40:56 +0100
Ralf Mardorf <ralf.mardorf@alice-dsl.net> wrote:

> Hi
>
> nvidia-rt was updated Thu, 12 Jan 2012 23:29:42 +0000, but there's still
> the /lib/modules issue. Also directories for kernels that were removed
> by updates, are still present. There's less content in those dirs. So,
> nvidia-rt doesn't work.

There are two independent issues here, but /lib/modules isn't one of them. BTW
which kernel are you actually running?

>
> Regards,
> Ralf
>
> PS:
> [spinymouse@archlinux #linux-rt]$ ls /lib/modules
> 3.0-rt 3.1.9-1-ARCH 3.1.9-2-ARCH 3.2.2-1-ARCH extramodules-3.2-ARCH

/lib/modules/3.1.9* contains only modules.* files generated by depmod (?). No
package should own them, so you can safely remove these dirs.

> [spinymouse@archlinux #linux-rt]$ ls /boot
> grub initramfs-linux.img
> initramfs-linux-rt.img vmlinuz-linux
> initramfs-linux-fallback.img initramfs-linux-rt-fallback.img syslinux
> vmlinuz-linux-rt
>
> [spinymouse@archlinux nvidia-rt]$ makepkg -s
> ==> Making package: nvidia-rt 290.10-1 (Sun Jan 29 09:59:47 CET 2012)
> ==> Checking runtime dependencies...
> ==> Checking buildtime dependencies...
> ==> Retrieving Sources...
> -> Downloading NVIDIA-Linux-x86_64-290.10-no-compat32.run...
> [snip]
> ==> Starting build()...
> You must have
> Creating directory NVIDIA-Linux-x86_64-290.10-no-compat32
> Verifying archive integrity... OK
> Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86_64
> 290.10...
> patching file nv-linux.h
> Hunk #1 succeeded at 265 (offset 3 lines).
> Hunk #2 succeeded at 852 with fuzz 2 (offset -2 lines).
> patch unexpectedly ends in middle of line

This is a problem with the patch -- fix it with the maintainer of
{nvidia,linux}-rt.

> NVIDIA: calling KBUILD...
> test -e include/generated/autoconf.h -a -e include/config/auto.conf || (
>
> echo;
> echo " ERROR: Kernel configuration is invalid.";
> echo " include/generated/autoconf.h or include/config/auto.conf
> are missing.";
> echo " Run 'make oldconfig && make prepare' on kernel src to fix
> it.";
> echo;
> [snip]
> ==> Entering fakeroot environment...
> ==> Starting package()...
> ==> Tidying install...
> -> Purging unwanted files...
> -> Compressing man and info pages...
> -> Stripping unneeded symbols from binaries and libraries...
> ==> Creating package...
> -> Generating .PKGINFO file...
> -> Adding install file...
> -> Compressing package...
> ==> Leaving fakeroot environment.
> ==> Finished making: nvidia-rt 290.10-1 (Sun Jan 29 10:01:31 CET 2012)
>

--
Leonid Isaev
GnuPG key ID: 164B5A6D
Key fingerprint: C0DF 20D0 C075 C3F1 E1BE 775A A7AE F6CB 164B 5A6D
 

Thread Tools




All times are GMT. The time now is 06:11 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org